:root {
    --main-color:#d3ad7f;
    --black: #13131a;
    --bg:#FF0000;
    --red: #010103;
    --border:0.1rem solid rgba(255,255,255,0.3);
    font-size: 10px;
    --primary-color:#3498db;
    --secondary-color:#2ecc71;
    --background-color:#ecf0f1;
    --text-color:#34495e;
    --card-background:#ffffff;
    --shadow-color:rgba(0,0,0,0.1);
}

* {
    margin: 0;
    padding: 0;
    outline: none;
    border: none;
    text-decoration: none;
    /*text-transform: capitalize;*/
    transition: 0.2s linear;
    font-family: "Roboto", sans-serif;
}

body{
    background-color: var(--bg);
}

section{
    padding: 3rem 2rem;
    margin: 0 auto;
    max-width: 1200px;

}

.header {
    position: fixed ;
    top: 0;
    left: 0;
    right: 0;
    z-index: 99;
    border-bottom: var(--border);
    background-color: var(--bg);
}

.header section{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;
}

.navbar a{
    margin: 0 1rem;
    font-size: 1.8rem;
    color: #ffffff;
}

.navbar a:hover {
    color: var(--main-color);
    border-bottom:0.1rem solid var(--main-color);
    padding-bottom: 0.5rem;
    font-size: 2rem; 
}

.icons img{
    margin:1rem;
    cursor:pointer;
}

.icons img:hover{
    width: 40px;
    height: 40px;
}

.btn {
    background: var(--main-color);
    color: #ffffff;
    padding: 1rem 3rem;
    font-size: 1.7rem;
    cursor: pointer;
    margin: 1rem;
    display: inline-block;
}


.btn:hover {
    letter-spacing: 0.1rem;
}

.home-container {
    background: url("./img/home-img.jpg");
    background-position: center;
    background-size: cover;
}

.home-container section {
    display: flex;
    align-items: center;
    min-height: 100vh;
}

.content {
    max-width: 60rem;
}

.content h3 {
    color: #ffffff;
    font-size: 6rem;
}

.content p {
    color: #ffffff;
    font-size: 2rem;
    font-weight: 100;
    line-height: 1.8;
    padding: 1rem 0;
}

.title{
    font-size: 4rem;
    color: var(--main-color);
    text-align: center;
    text-transform: uppercase;
    margin-bottom: 2rem;
}

.title span{
    color: #ffffff;
    padding: 1rem 2rem;
    text-transform: uppercase;
}

.about .row {
    display: flex;
    align-items: center;
    background-color: var(--black);
    gap: 1.5rem;
}

.about .row .content {
    padding: 2rem;
}

.about .row .content h3 {
    font-size: 3rem;
    color: #ffffff;
}

.about .row .content p {
    font-size: 1.6rem;
    color: #ffffff;
    padding: 1rem 0;
    line-height: 1.8;
}

.menu .box-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
    gap: 1.5rem;
}

.menu .box-container .box {
    text-align: center;
    border: var(--border);
    padding: 5rem;
    cursor: pointer;
}

.menu .box-container .box:hover {
    background-color: #ffffff;
}

.menu .box-container .box img {
    height: 10rem;  
}


.menu .box-container .box .price {
    color: #ffffff;
    font-size: 2.5rem;
    padding: 0.5rem 0;
}

.menu .box-container .box .price span {
    color: #ffffff;
    font-size: 1.5rem;
    font-weight: lighter;
    text-decoration: line-through;  
}

.menu .box-container .box .price span:hover  {
    color:var(--black);
}

.menu .box-container .box:hover {
    background-color: #ffffff;
}

.menu .box-container .box:hover>* {
    color:var(--black);
}

.menu .box-container .box .price span:hover  {
    color:var(--black);
}

.review .box-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
    gap: 1.5rem;
}

.review .box-container .box {
    text-align: center;
    border: var(--border);
    padding: 3rem 2rem;
    cursor: pointer;
}

.review .box-container .box p {
    font-size: 1.5rem;
    color: #ffffff;
    text-align: center;
    padding: 2rem 0;
    line-height: 1.8;
    font-weight: lighter;
}

.review .box-container .box h3 {
   color: #ffffff;
   font-size: 2rem;
   margin: 2rem 0;
}


.review .box-container .box .user {
    height: 12rem;
    width: 12rem;
    border-radius: 50%;
}

.address{
    display: flex;
    align-items: center;
    flex-direction: column;
}

.box-consulta{
    display: flex;
    align-items: center;
    flex-direction: column;
    max-width: 800px;
    background-color: #ffffff;  
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px var(--primary-color);
}


.search-form {
    display: flex;
    gap: 10px;
    margin-bottom: 20px;
}

.review .box-container .box .search-input {
    max-width: 400px;
    flex-grow: 1;
    padding: 12px;
    font-size: 16px;
    border-radius: 5px;
    outline: none;
    border: 2px solid var(--primary-color);
}

.search-button {
    padding: 12px 25px;
    background-color: var(--primary-color);
    border: none;
    cursor: pointer;
    font-size: 16px;
    color: var(--background-color);
    border-radius: 5px;
    transition: 0.5s;
}


.recipe-list {
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(auto-fill, minmax(200px,1fr));
    margin-bottom: 30px;
}

.recipe-card{
    border: 1px solid #ddd;
    border-radius: 5px;
    text-align: center;
    padding: 10px;
    cursor: pointer;
}

.product-card:hover{
   transform: translateY(-5px);
   box-shadow: 0 6px 12px var(--shadow-color);
}

.recipe-card img{
    max-width: 100%;
    height: 200px;
    object-fit: cover;
    border-radius: 8px;
    margin-bottom: 8px;
}

.recipe-details{
    margin-top: 20px;
}


.recipe-img{
    max-width: 100%;
    height: 200px;
    object-fit: cover;
    border-radius: 8px;
    margin-bottom: 8px;
}


.product-card h3{
    font-size: 1em;
    margin-bottom: 10px;
    color: var(--primary-color);  
}

.product-card .product-store{
    color: var(--text-color);
    margin-bottom: 5px;
}


 .contatos{
    display: flex;
    align-items: center;
    flex-direction: column;
}


section .contatos {
    display: flex;
    align-items: center;
    justify-content: space-around;
    padding: 60px 15%;
    background-color: #000000;
}


.formulario-contato {
    max-width: 600px;
    margin: 0 auto;
    background: rgba(255, 255, 255, 0.05);
    backdrop-filter: blur(5px);
    padding: 2rem;
    border: 1px solid #f9004d;
    border-radius: 16px;
}

.campo-form {
    width: 100%;
    padding: 1rem;
    background: rgba(255, 255, 255, 0.05);
    color: white;
    border-radius: 8px;
    outline: none;
}

.campo-form:focus {
    border-color: #f9004d;
    box-shadow: 0 0 10px rgba(79, 70, 229, 0.3);
}


.grupo-form {
    margin-bottom: 1.5rem;
}

.botao-form {
    color: aqua;
    background: #f9004d;
    padding: 1rem 2rem;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    font-weight: bold;
    width: 100%;
    transition: all 0.5 ease;
}

.botao-form:hover {
    transform: rotateY(-4px);
    box-shadow: 0 0 10px rgba(79, 70, 229, 0.3);
}


.footer {
    text-align: center;
}

.footer .share {
    padding: 1rem 0 ;
}

.footer .share img {
    margin: 0.3rem;
    cursor: pointer;
    border-radius: 50%;
    padding: 1rem;
}

.footer .share img:hover {
   background: var(--main-color);
}